This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 252097

Summary: Review Request: gnu-trove - High performance collections for Java
Product: [Fedora] Fedora Reporter: Vivek Lakshmanan <viveklak>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://trove4j.sourceforge.net/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-25 21:08:21 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 201449    

Description Vivek Lakshmanan 2007-08-13 18:05:53 EDT
Spec URL: http://vivekl.fedorapeople.org/rpms/gnu-trove.spec
SRPM URL: http://vivekl.fedorapeople.org/rpms/gnu-trove-1.0.2-5jpp.1.fc8.src.rpm

The GNU Trove library has two objectives:

Provide "free" (as in "free speech" and "free beer"),
fast, lightweight implementations of the java.util
Collections API. These implementations are designed
to be pluggable replacements for their JDK equivalents.

Whenever possible, provide the same collections support
for primitive types. This gap in the JDK is often
addressed by using the "wrapper" classes
(java.lang.Integer, java.lang.Float, etc.) with
Object-based collections. For most applications, however,
collections which store primitives directly will require
less space and yield significant performance gains.
Needed for supporting application servers
Comment 1 Jason Tibbitts 2008-06-25 21:08:21 EDT
Closing as detailed in bug 252049 after a complete lack of response.